Subject: Re: [PATCH 0/3] Introduce getsockname io_uring_cmd

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Nov 2025 17:29:16 -0800

On Wed, 19 Nov 2025 16:30:38 -0700 Jens Axboe wrote:
> On 10/24/25 9:48 AM, Gabriel Krisman Bertazi wrote:
> > 
> > This feature has been requested a few times in the liburing repository
> > and Discord channels, such as in [1,2].  If anything, it also helps
> > solve a long standing issue in the bind-listen test that results in
> > occasional test failures.
> > 
> > The patchset is divided in three parts: Patch 1 merges the getpeername
> > and getsockname implementation in the network layer, making further
> > patches easier; Patch 2 splits out a helper used by io_uring, like done
> > for other network commands; Finally, patch 3 plumbs the new command in
> > io_uring.
> > 
> > The syscall path was tested by booting a Linux distro, which does all
> > sorts of getsockname/getpeername syscalls.  The io_uring side was tested
> > with a couple of new liburing subtests available at:
> > 
> >    https://github.com/krisman/liburing.git -b socket
> > 
> > Based on top of Jens' for-next.  
> 
> Ping netdev / networking folks on patches 1+2...

Hm, I think I was hoping to exercise the moderately recent MAINTAINERS
entry here:

NETWORKING [SOCKETS]
M:	Eric Dumazet <[email-masked]>
M:	Kuniyuki Iwashima <[email-masked]>
M:	Paolo Abeni <[email-masked]>
M:	Willem de Bruijn <[email-masked]>
S:	Maintained
F:	include/linux/sock_diag.h
F:	include/linux/socket.h
F:	include/linux/sockptr.h
F:	include/net/sock.h
F:	include/net/sock_reuseport.h
F:	include/uapi/linux/socket.h
F:	net/core/*sock*
F:	net/core/scm.c
F:	net/socket.c

but now I realize that the submitter hasn't actually CCed the
maintainers :S

Gabriel, please repost this with a more comprehensive CC list...